-------------------------------------------------------------
	Dreamcast専用グラフィックツール
	PIXUSPAINT 更新履歴

	Copyright(C) 1998-2000 STUDIO BULLTERRIER
	All rights reserved.
-------------------------------------------------------------

・2000/07/13	V1.22
	バグフィックス
	【PAINT】
		・インデックス画像に画像を貼り付けしようとすると
		　「サポートされていない操作を実行しました」と表示され貼り付け
		　出来なかった不具合に対応しました。
		・ファイルを開くのとき「減色」の「現在のパレットを使用」にて
		　減色すると不正終了する不具合に対応しました。


・2000/06/16	V1.21
	バグフィックス
	【VMANIME】
		・VMI(ボリュームアイコン）ファイルのカラーアイコンにパレットアルファが
		　反映されていない不具合に対応しました。
		・アニメーションが出来ない不具合に対応しました。
		・ファイルの保存・読み込みが出来ない不具合に対応しました。

・2000/05/29	V1.2
	追加／変更
	【全体】
		・開発環境をVC++5.0からVC++6.0へ移行しました。
		・PVR入出力用プラグインの修正に対応しました。
		・ルーペウィンドウに最大化ボタンを追加。
		・ファイルを開いていない状態でも、カラーパレットの読み込みができ
		　るようにしました。
	【PAINT】
		・画像のサイズ変更時に、「再サンプリング」のオプションを追加
		　しました。
		・カラーパレットをロードしたときに、「あわせこみ」の処理を行
		　うように対応しました。

	バグフィックス
	【全体】
		・Windows95,98にて、アクティブなウィンドウを切り替える際に、
		　マウスを移動させていると、ウィンドウが有らぬ方向へ移動する
		　不具合に対応しました。
		・PVRファイルの読み込み時にバンク番号を設定していなかった不
		　具合に対応。
		・カラーパレットを編集してもドキュメントの編集フラグがたたなかった
		　ため「保存」メニューがアクティブにならなかった不具合に対応しまし
		　た。

・2000/02/18	V1.1
	追加／変更
	【全体】
		・グリッドの設定を保持するように対応しました。
		・グリッドの設定をすべてのドキュメントで共通できるように対応
		　しました。
		・ＶＭアニメモジュールにおいてグリッドを使用する場合、「グリ
		　ッドにスナップする」オプションを追加しました。
		・カラーバーパレットの作成にRGBを同時に変更するマスターバー
		　を追加しました。
		・新PVRフォーマットに対応しました。
		・レジストリの初期化を可能にしました。
		・カラー変更時の処理速度を改善しました。
	【PAINT】
		・色調補正時にプレビューするように対応しました。
		・ブラシツールを選択しているときの、マウス右ボタンにスポイト
		　を割り当てました。
		・フルカラー画像の編集時には、前景色および背景色を選択できる
		　ようにしました。
		・8BitPaint リプレースカラーなどのカラー編集時に View からパ
		　レットを指定できるようにしました。
		・8bitPaint アルファのみのグラデーション作成を可能にしました。
		・8bitPaint アルファ値の設定を可能にしました。
		・8bitPaint Webパレットに変更できなかった不具合に対応しました。
		・16bitPaint カラーパレットのパレットの読み込みなどに対応しま
		　した。
		・16bitPaint ラインツールなどルーペで処理したときのガイドが
		　Viewの方へ表示される不具合に対応対応しました。
		・16bitペイントでブラシサイズが反映されない不具合に対応しまし
		　た。
		・16bitペイントでフローティング時のグリッドに吸着するときの不
		　具合に対応しました。
	【DRAFT】
		・ドラフトの描画処理速度を改善しました。

	バグフィックス
	【全体】
		・アルファチャンネル付きの画像を減色した場合、一般保護違反
		　となる不具合を修正。
		・グリッド表示をしているとき、画像を縮小すると画像が真っ黒とな
		　る不具合を修正。


・1999/07/23	V1.07
	追加／変更
	【全体】
		・ハイカラーペイントに対応しました。
        　基本的な操作は、８ｂｉｔペイント・モジュールと同じですが、
        　エアーブラシ、カラー調整、などの動作は多少異なります。
        　現在、実現できていない機能を下記に示します。
        　　・グラデーションツール
        　　・イメージ編集
        　　・マウスで自由に回転
        　　・ドット比率にあわせてブラシ描画
        　　・パレットの扱い
        　　・アルファを含めたカット＆ペースト
        　　・前景色・背景色の指定
		・アルファチャンネル表示に対応しました。
		　詳細は、alpha.txtをご覧ください。
	【DRAFT】
		・ドラフトの処理性能の改善。
	バグフィックス
	【全体】
	    ・パレット画像を読み込んだときにパレット値が実際の値と異なる
	    　不具合を修正。（カラー・階調を１５５５のときのみ発生。）
	    ・デフォルトプリンタが無い状態でプリントプレビューを行うと一
	    　般保護違反となる不具合を修正。
        ・保存ダイアログに「すべてのファイル」がある不具合を修正。
        ・PIXUSPAINTフォーマットでパレットのアルファ情報が保存されな
        　い不具合を修正。
        　注）上記修正を行ったため、V1.07で保存したPXSファイルは、
        　　　V1.06 以前のバージョンでは読み込めません。

・1999/05/27	V1.06
	追加／変更
	【VQEDIT】
		・アルファチャンネルの表示を可能にしました。
		　表示方法）ＶＱビューの下方にあるオプションメニュー内から、
		　　　　　　「ＲＧＢ表示」  ... ＲＧＢのみ表示します。
		　　　　　　「アルファ表示」... アルファのみグレースケール表
		　　　　　　　　　　　　　　　　示します。
		　　　　　　「ブレンド」    ... ＲＧＢとアルファを同時に表示
		　　　　　　　　　　　　　　　　します。この時、アルファは赤
		　　　　　　　　　　　　　　　　色で合成されます。
		　　　　　　　　　　　　　　　　※色、濃度の指定は次バージョ
		　　　　　　　　　　　　　　　　　ンにて対応予定です。
		　　　　　　のうち１つを選択してください。

	バグフィックス
	【PAINT8】
		・カラーの圧縮で256より大きな値を入力した場合に一般保護違反と
		　なる不具合を修正。

・1999/05/13	V1.05
	バグフィックス
	【全体】
		・一部のキーボードショートカットが効かない不具合を修正。
		・カラーバーウィンドウの作成プロパティで、色値が直接入力でき
		　なかった不具合を修正。
		・画像の色数が２、１６、２５６以外でビットマップ形式で保存し
		　ようとした場合に一般保護違反となる不具合を修正。
		・指定したファイル形式と異なったファイル形式で保存してしまう
		　不具合を修正。
	【VMANIME】
		・アニメウィンドウサイズが初期状態のままで、アニメを再生する
		　と一般保護違反となる不具合を修正。
	【VQEDIT】
		・ＶＱエディットパレットの保存ボタンが効かない不具合を修正。

・1999/04/28	V1.04
	追加／変更
	・VQエディットモジュールに「鉛筆ブラシ」「バケツブラシ」を追加し
	　ました。
	・カラー変更時の処理性能を改善しました。

	バグフィックス
	【全体】
		・ファイルを複数開いている状態で、トリミングを実行し閉じると
		　不整終了する不具合を修正。
		・各ツールパレットの状態と、ウィンドウメニューの表示が食い違
		　場合が有る不具合を修正。
		・Windowsのフォント設定で、「大きいフォント」を使用した場合、
		　ツールパレットの表示がおかしくなる不具合を修正。
	【PAINT8】
		・選択範囲機能を使用した場合に一般保護違反となる場合がある不
		　具合を修正。
		・マーチングアントを表示しているとき、ドット比率を１：２（若
		　しくは２：１）にした場合不正終了する不具合を修正。
		・マーチングアントの幅１ドットのときに、領域が見えない。
		　魔法の杖で、領域選択した場合など、一番右端のマーチングアン
		　ト表示がおかしく見える不具合を修正。
		・環境設定で、「カラー０を各パレット共通の透明色として使用す
		　る」がチェックされており、パレットの色数が１６色の場合に、
		　パレットのグラデーション作成が正常に行われない不具合を修正。
		・グラデーション作成で、成分＋誤差拡散での処理が正常に行われ
		　ない不具合を修正。
	【DRAFT】
		・ドラフトモードで、オープンパスの端点に＋ツールでポイントを
		　追加し、Undoすると不正終了する不具合を修正。

・1999/03/25	V1.03
	追加／変更
	・PIXUSPAINTファイルフォーマットの拡張子を「PXS」に変更。
	　以前の「PIX」は、Alias（Wavefront社）の拡張子と重なるため、変更
	　いたしました。PIXUSPAINTで保存された「*.PIX」つきましては、お手
	　数ですが、手動で変更願います。
	・パレットセルのサイズを設定できるように対応。
	　ファイルメニューの環境設定ダイアログにてサイズ指定が可能となり
	　ました。
	・VQEditにてチェックカラーを選択領域なしで行った場合、画像全体に
	　対して処理を行うように変更。

	バグフィックス
	【PAINT8】
		・カラーの削除を行う時、カラー０をパレット共通の透明色として
		　使用するフラグが参照されていなかった不具合を修正。
		・ファイルを開くなどのダイアログを表示している時にも、ルーペ
		　ウィンドウを操作できてしまう不具合を修正。
	【VMAnime】
		・アニメーション用ボックスをSHIFTキーを押しながら移動させたと
		　きの不具合の修正。
	【VQEdit】
		・VQEditビューを拡大したとき、ドット枠がずれて表示される不具
		　合を修正。

・1999/03/04	V1.02
	・ＶＱエディット機能モジュールを追加。
	・ＶＭアニメ機能モジュールを追加。
	・カラー変換処理（明るさ・コントラストなど）を行った後、カラー変換
	　処理を再度行うと前回確定したはずの処理がキャンセルされる現象を対策。

・1999/02/11	V1.01
	・エディット機能モジュールを追加。
	・ファイルの保存時に指定フォーマットと異なるフォーマットで
	　保存される場合がある不具合を修正。

・1999/02/05	V1.0
	・V1.0リリース

--End of History.txt
